Subject: Re: example needed pls: `cygpath -c <HANDLE>'
From: Soren A <[email-masked]>
To: [email-masked]
Date: Tue, 1 Jul 2003 21:34:56 +0000 (UTC)

Doug VanLeuven <[email-masked]> wrote around 01 Jul 2003 
news:[email-masked]:

> Just goes to show.
> I didn't want to get into asp but I created this wsh file
> checkpath.wsf
> -------------------------------
> <Job ID="CheckPath">
> <script language=PerlScript>
>     $MS_path_filename="c:\\bin\\gzip.exe";
>    
>         $WScript->Echo("$MS_path_filename");
>     open(CTH, '-|', "D:/cygwin/bin/cygpath $MS_path_filename")
>         or die $WScript->Echo("Could not open() call to 'cygpath', what 
> is up?");
>     $cygstyle_path = <CTH>;
>     chomp $cygstyle_path;   
>     $WScript->Echo("A" . "$cygstyle_path" . "B");
> </script>
> </Job>
> ------------------------------
> pretty much your original post.
> I'm finding it only works with AS perl 5.8.0.805.

That's the version I have been trying this on. Confusing.

> In 5.6.1.633 the return value is empty but 5.8 works as expected.

Hmmm.

> I tried this first with cygwin 1.3.21 & 1.3.22 and
> before & after upgrading to 5.6 windows script host.
> Can't blame cygwin

So! Oooo-Kay! Wow, that's an amazing result. It seems there's a major
wonkiness afoot, but AFAICT I must agree, it seems that "cygpath" is
blameless here. 

Now we know (and have a major headache-generator available for future use 
should such a mystery demand further investigation).

-- 
"So, tell me, my little one-eyed one, on what poor, pitiful,
defenseless planet has my MONSTROSITY been unleashed?"
                       - Dr. Jumba, Disney's "Lilo & Stitch"
OpenPGP Key at http://savannah.gnu.org/people/viewgpg.php?user_id=6050

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/